Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
__sFILE Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Data Fields
unsigned char * | _p
size_t | _w
short | _flags
short | _file
struct __sbuf | _bf
int(* | vwrite )()
const char *(* | vextra )()
int | _r
int | _w
int | _lbfsize
void * | _cookie
_ssize_t(* | _read )(struct _reent *, void *, char *, size_t)
_ssize_t(* | _write )(struct _reent *, void *, const char *, size_t)
_fpos_t(* | _seek )(struct _reent *, void *, _fpos_t, int)
int(* | _close )(struct _reent *, void *)
struct __sbuf | _ub
unsigned char * | _up
int | _ur
unsigned char | _ubuf [3]
unsigned char | _nbuf [1]
struct __sbuf | _lb
int | _blksize
_off_t | _offset
struct _reent * | _data
_flock_t | _lock
_mbstate_t | _mbstate
int | _flags2

## Detailed Description

Definition at line 169 of file vsnprintf.c.

## Field Documentation

## ◆ _bf

struct __sbuf __sFILE::_bf

Definition at line 177 of file vsnprintf.c.

## ◆ _blksize

int __sFILE::_blksize

Definition at line 1001 of file rb_mjit_min_header-2.7.0.h.

## ◆ _close

int(* __sFILE::_close) (struct _reent *, void *)

Definition at line 994 of file rb_mjit_min_header-2.7.0.h.

## ◆ _cookie

void* __sFILE::_cookie

Definition at line 987 of file rb_mjit_min_header-2.7.0.h.

## ◆ _data

struct _reent* __sFILE::_data

Definition at line 1003 of file rb_mjit_min_header-2.7.0.h.

## ◆ _file

short __sFILE::_file

Definition at line 176 of file vsnprintf.c.

## ◆ _flags

short __sFILE::_flags

Definition at line 175 of file vsnprintf.c.

## ◆ _flags2

int __sFILE::_flags2

Definition at line 1006 of file rb_mjit_min_header-2.7.0.h.

## ◆ _lb

struct __sbuf __sFILE::_lb

Definition at line 1000 of file rb_mjit_min_header-2.7.0.h.

## ◆ _lbfsize

int __sFILE::_lbfsize

Definition at line 986 of file rb_mjit_min_header-2.7.0.h.

## ◆ _lock

_flock_t __sFILE::_lock

Definition at line 1004 of file rb_mjit_min_header-2.7.0.h.

## ◆ _mbstate

_mbstate_t __sFILE::_mbstate

Definition at line 1005 of file rb_mjit_min_header-2.7.0.h.

## ◆ _nbuf

unsigned char __sFILE::_nbuf[1]

Definition at line 999 of file rb_mjit_min_header-2.7.0.h.

## ◆ _offset

_off_t __sFILE::_offset

Definition at line 1002 of file rb_mjit_min_header-2.7.0.h.

## ◆ _p

unsigned char * __sFILE::_p

Definition at line 170 of file vsnprintf.c.

## ◆ _r

int __sFILE::_r

Definition at line 981 of file rb_mjit_min_header-2.7.0.h.

## ◆ _read

_ssize_t(* __sFILE::_read) (struct _reent *, void *, char *, size_t)

Definition at line 988 of file rb_mjit_min_header-2.7.0.h.

## ◆ _seek

_fpos_t(* __sFILE::_seek) (struct _reent *, void *, _fpos_t, int)

Definition at line 993 of file rb_mjit_min_header-2.7.0.h.

## ◆ _ub

struct __sbuf __sFILE::_ub

Definition at line 995 of file rb_mjit_min_header-2.7.0.h.

## ◆ _ubuf

unsigned char __sFILE::_ubuf[3]

Definition at line 998 of file rb_mjit_min_header-2.7.0.h.

## ◆ _up

unsigned char* __sFILE::_up

Definition at line 996 of file rb_mjit_min_header-2.7.0.h.

## ◆ _ur

int __sFILE::_ur

Definition at line 997 of file rb_mjit_min_header-2.7.0.h.

## ◆ _w [1/2]

size_t __sFILE::_w

Definition at line 174 of file vsnprintf.c.

## ◆ _w [2/2]

int __sFILE::_w

Definition at line 982 of file rb_mjit_min_header-2.7.0.h.

## ◆ _write

_ssize_t(* __sFILE::_write) (struct _reent *, void *, const char *, size_t)

Definition at line 990 of file rb_mjit_min_header-2.7.0.h.

## ◆ vextra

const char*(* __sFILE::vextra) ()

Definition at line 182 of file vsnprintf.c.

## ◆ vwrite

int(* __sFILE::vwrite) ()

Definition at line 181 of file vsnprintf.c.

The documentation for this struct was generated from the following files:

- vsnprintf.c
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h